#
# uspac1.rb
#   $Id: uspac1.rb,v 1.2 2000/11/18 19:03:48 keiko Exp $
#


require "narray"
require "dcl"
include DCL
include Math


NMAX = 50
x = NArray.sfloat(NMAX+1)
y = NArray.sfloat(NMAX+1)

#-- data ---
x.indgen(1950.0, 1.0) 
r    = 3.7
y[0] = 0.5
for n in 0..NMAX-1
  y[n+1] = r*y[n]*(1.0-y[n])
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm

ussttl('TIME', 'YEAR', 'HEAT FLUX', 'W/m|2"')
usgrph(NMAX+1, x, y)

grcls

